Mentions

Get Mention Stats

GET
/v1/stats
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Query Parameters

sinceDays?integer
Default14
Range1 <= value <= 90
source?string
Value in"bluesky" | "hackernews" | "github" | "stackoverflow" | "devto" | "reddit" | "x" | "youtube" | "news"
keywordId?string

Response Body

application/json

application/json

curl -X GET "https://api.mentio.dev/v1/stats"
{
  "sinceDays": 0,
  "total": 0,
  "bySentiment": {
    "positive": 0,
    "neutral": 0,
    "negative": 0,
    "unclassified": 0
  },
  "bySource": [
    {
      "source": "bluesky",
      "count": 0
    }
  ],
  "byKeyword": [
    {
      "keywordId": "string",
      "term": "string",
      "count": 0
    }
  ],
  "daily": [
    {
      "day": "string",
      "positive": 0,
      "neutral": 0,
      "negative": 0,
      "unclassified": 0
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}